This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 446779 - nfs mounts fail on boot [NEEDINFO]
nfs mounts fail on boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 19:22 EDT by Jussi Eloranta
Modified: 2009-07-15 04:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:19:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
steved: needinfo? (jussi.eloranta)


Attachments (Terms of Use)

  None (edit)
Description Jussi Eloranta 2008-05-15 19:22:44 EDT
Description of problem:

I have the following NFS mounts in my /etc/fstab:

xxx.csun.edu:/home /home                   nfs     defaults        0 0
xxx.csun.edu:/usr/local /usr/local         nfs     defaults        0 0

When I boot the system, these are not mounted. If I do mount -at nfs, they are
mounted properly. If I use IP addresses instead of names, everything appears to
work fine:

130.166.xxx.yyy:/home /home                   nfs     defaults        0 0
130.166.xxx.yyy:/usr/local /usr/local         nfs     defaults        0 0

So I suppose the domain name service is not up yet when the NFS mounts are
attempted?

Version-Release number of selected component (if applicable):

On fairly up to date Fedora 9 with

initscripts-8.76.1-1.i386
NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386
Comment 1 Jussi Eloranta 2008-05-18 14:57:51 EDT
I sometimes see that even using IP addresses fail - maybe this is an issue
related to slow network interface init (?) I know that the ethernet switches
that I use have some initial troubles with link negotiation and this leads to
slow network init.

Comment 2 Steve Dickson 2008-06-27 13:55:11 EDT
Try adding th 'bg' mount option 
Comment 3 Brian Morrison 2008-07-02 18:32:50 EDT
I think this is the same problem, I see during boot the rhgb boot screen opens
to details view and:

/etc/init.d/functions line 511: exportfs non-init addr IPADDRESS,HOSTNAME
Segmentation fault at "$@"

appears which appears to be an error with exportfs -r

This then leads to failure to automount to work from other machines with
Permission denied: messages, it is necessary to restart NFS for it to work,
/sbin/service nfs restart gives these messages:

[root@peterson SPECS]# /sbin/service nfs restart
Shutting down NFS mountd:                                  [  OK  ]
Shutting down NFS daemon:                                  [  OK  ]
Shutting down NFS quotas:                                  [  OK  ]
Shutting down NFS services:                                [FAILED]
Starting NFS services:                                     [  OK  ]
Starting NFS quotas:                                       [  OK  ]
Starting NFS daemon:                                       [  OK  ]
Starting NFS mountd:                                       [  OK  ]

indicating that exportfs did not start correctly as suggested above.

A temporary fix is to add the service restart into rc.local
Comment 4 Steve Dickson 2008-07-03 12:20:41 EDT
This has the same footprint of bz:
  https://bugzilla.redhat.com/show_bug.cgi?id=444275

Please try the latest nfs-utils version at:
   (Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=694594 )
Comment 5 Steve Dickson 2009-03-05 06:36:19 EST
Fixed in nfs-utils-1.1.2-6.fc9
Comment 6 Bug Zapper 2009-06-09 20:52:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-15 04:19:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.